cayenne-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrus Adamchik (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (CAY-1843) Stop saving listeners in DataMap, add upgrade handler
Date Mon, 22 Jul 2013 19:30:48 GMT

    [ https://issues.apache.org/jira/browse/CAY-1843?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13715555#comment-13715555
] 

Andrus Adamchik edited comment on CAY-1843 at 7/22/13 7:30 PM:
---------------------------------------------------------------

Hi Miłosz! Many thanks for the patches. Certainly very useful. 

I have a question on the project.patch. From what I understand removing v6 upgrader makes
it only possible for us to upgrade from v6 to v7. Would be great if we could preserve the
possibility to upgrade from earlier versions too (i.e. upgrader should be cumulative ideally).
Is there a technical reason to not keep both v6 and v7 and combine them as appropriate?
                
      was (Author: andrus):
    Hi Miłosz! Many thanks for the patches. Certainly very useful. 

I have a question on the project.patch. From what I understand removing v6 upgrader makes
it only possible for us to upgrade from v6 to v7. Would be great if we could preserve the
possibility to upgrade from earlier versions too (i.e. upgrader should be cumulative ideally).
Is there a technical reason to keep both v6 and v7 and combine them as appropriate?
                  
> Stop saving listeners in DataMap, add upgrade handler
> -----------------------------------------------------
>
>                 Key: CAY-1843
>                 URL: https://issues.apache.org/jira/browse/CAY-1843
>             Project: Cayenne
>          Issue Type: Task
>            Reporter: Andrus Adamchik
>            Assignee: Andrus Adamchik
>             Fix For: 3.2M2
>
>         Attachments: core.patch, project.patch
>
>
> Per CAY-1842 we are no longer supporting listeners in DataMaps. I guess we can make it
explicit - modeler should no longer save/load listeners that are already in the model, and
we need an upgrade handler to give users an idea that they need to migrate listeners to the
code.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message